extends Node

@warning_ignore_start("unused_signal") # since otherwise Godot will throw a warning that the signal is unused in current scope

signal shield_changed(max_value: int, old_value: int, new_value: int)
signal set_shield(value: int)
signal player_died()
signal enemy_died()
signal enemy_hit(value: int)
signal initialize_shieldbar()
signal start_game()
signal goose_talk(frame_index: int, quack_wait_time: float)

# FX
signal flash_screen(duration: float)
signal cloud_speed(active: bool)

# Ending
signal ending(value: int)
signal player_victory(ending: int)
signal win_game(ending: int)
signal secret_win_game()
signal heart_beat(tempo: float)

@warning_ignore_restore("unused_signal") # put any future signals you add between the two ignore annotations
